#!/bin/bash
#SBATCH --job-name=FastQC.for.alveolar_type_2
#SBATCH --comment=FastQC.for.alveolar_type_2
#SBATCH --time=48:00:00
#SBATCH --mincpus=2
#SBATCH --mem=20G
#SBATCH --qos=priority

# For 173 samples, it will take about 24 hrs to run with about 15Gb of memory.
# Should probably parallelize the perl script/make it a bash/slurm script.

module purge
module load Perl/5.26.2-foss-2015b-bare
module load BioPerl/1.6.924-foss-2015b-Perl-5.22.0
module load Java/11.0.2
module load FastQC/0.11.7-Java-1.8.0_144-unlimited_JCE

# Please see
# https://www.youtube.com/watch?v=0Rj_xNuyOyQ

cd /groups/umcg-griac/tmp04/projects/umcg-rbults/alveolar_type2_fastq/
perl scripts/00_fastqc.pl

mkdir rene_FastQC.results
find . -maxdepth 1 -type d -iname "*_R[123]" -exec mv {} ./rene_FastQC.results/ \;
#find . -maxdepth 1 -type f -iname "*.htm*" -exec mv {} ./FastQC.results/ \;

